unit uRatespiel;
(* ******************************************************************** *)
(* K L A S S E : TRatespiel                                             *)
(* -------------------------------------------------------------------- *)
(* Version     : 3.0                                                    *)
(* Autor       : S. Spolwig, OSZ-Handel I,  10997 Berlin                *)
(* Aufgabe     : realisiert das Spiel.                                  *)
(* Compiler    : Turbo Pascal 7.0 / MSDOS  / DELPHI 3.0                 *)
(* ******************************************************************** *)

interface

USES uSpielZahl,
     uZaehler;

type TRatespiel = class
                   public
                    Geheimzahl,
                    Ratezahl        : TSpielzahl;
                    Versuchszaehler : TZaehler;
                    constructor Init;
                    function Vergleichsergebnis : string;  virtual;
                    function IstFertig          : boolean; virtual;
                  end;


implementation

constructor TRatespiel.Init;
(* -------------------------------------------------------------------- *)
begin
  versuchszaehler := TZaehler.Init;
  Ratezahl        := TSpielzahl.Init;
  Geheimzahl      := TSpielzahl.Init;
  Versuchszaehler.SetWert(0);
  Ratezahl.SetWert(0);
  Geheimzahl.ZufaelligErzeugen;
end;

function TRatespiel.VergleichsErgebnis : string;
(* -------------------------------------------------------------------- *)
begin
  if Ratezahl.IstGleich (Geheimzahl)
  then Result := (' Gratuliere! Richtig geraten! ')
  else
    if Ratezahl.IstKleiner (Geheimzahl)
    then Result := (' zu niedrig ... ')
    else Result := (' zu hoch ... ');
end;

function TRatespiel.IstFertig : boolean;
(* -------------------------------------------------------------------- *)
begin
  if Ratezahl.IstGleich (Geheimzahl)
  then Result := true
  else Result := false;
end;

END.
