UNIT uSpielZahl;
(* ******************************************************************** *)
(* K L A S S E : TZahl                                                  *)
(* -------------------------------------------------------------------- *)
(* Version     : 3.0                                                    *)
(* Autor       : S. Spolwig, OSZ-Handel I,  10997 Berlin                *)
(* Aufgabe     : stellt ein Objekt fuer ganze Zahlen zur Verfuegung.    *)
(* Compiler    : Turbo Pascal 7.0 / MSDOS  / DELPHI                     *)
(* ******************************************************************** *)

INTERFACE
(* ========================== Export ================================== *)
type
   TSpielzahl = class
                 protected
                  Wert : 0..100;
                 public 
                  constructor Init ;
                  procedure Setwert ( w: integer);     virtual;
                  function  Getwert : integer;         virtual;
                  procedure ZufaelligErzeugen;                  virtual;
                  function  IstGleich  (andereZahl : TSpielzahl ) : boolean; virtual;
                  function  IstKleiner (andereZahl : TSpielzahl)  : boolean; virtual;
                end;

IMPLEMENTATION
(* ==================================================================== *)

 constructor TSpielzahl.Init ;
(* -------------------------------------------------------------------- *)
 begin
   Wert := 0;
 end;

 procedure TSpielzahl.Setwert ( w: integer);
(* -------------------------------------------------------------------- *)
 begin
   Wert := w;
 end;

 function TSpielzahl.Getwert : integer;
(* -------------------------------------------------------------------- *)
 begin
   Result := Wert;
 end;


procedure TSpielzahl.ZufaelligErzeugen;
(* -------------------------------------------------------------------- *)
begin
  randomize;
  Wert := random(100)+1;
end; (* ZufaelligErzeugen *)


function TSpielzahl.IstGleich (andereZahl : TSpielzahl) : boolean;
(* -------------------------------------------------------------------- *)
begin
  IstGleich := false;
  if Wert = andereZahl.Wert
  then Result := true;
end;

function TSpielzahl.IstKleiner (andereZahl : TSpielzahl) : boolean;
(* -------------------------------------------------------------------- *)
begin
  IstKleiner := false;
  if Wert < andereZahl.Wert
  then Result := true;
end;

END. (* Unit *)
